<template>
  <div>
    <LHeader :text="text"></LHeader>
    <van-search v-model="searchValue" placeholder="搜索" @search="onSearch" />
     <!-- 内容列表 -->
     <!-- 接口对接4 START -->
    <div class="con-list">
      <van-cell-group
        inset
        v-for="(item, index) in messageList"
        :key="index"
        @click="read(item)"
        @touchstart="touchstart(index, item)"
        @touchend.prevent="touchend(index)"
      >

        <van-row gutter="">
          <van-col span="7">风险编号:</van-col>
          <van-col span="17">{{ item.processInstanceId }}</van-col>
        </van-row>
        <van-row gutter="">
          <van-col span="7">所属工程名称:</van-col>
          <van-col span="17">{{ item.proId }}</van-col>
        </van-row>
        <van-row gutter="">
          <van-col span="7">风险等级:</van-col>
          <van-col span="17">{{ item.riskLevel }}</van-col>
        </van-row>
        <van-row gutter="">
          <van-col span="7">风险源:</van-col>
          <van-col span="17">{{ item.riskSource }}</van-col>
        </van-row>
         <van-row gutter="">
          <van-col span="7">创建时间:</van-col>
          <van-col span="17">{{ item.startDate }}</van-col>
        </van-row>
   <!-- *接口对接4 END -->

        <!-- 长按显示遮罩层 -->
        <van-overlay :show="showIndex == index">
          <div class="wrapper" @click.stop>
            <van-button round type="primary" @touchstart="goDetail(item)"
              >详情</van-button
            >
          </div>
        </van-overlay>
      </van-cell-group>
    </div>
  

  </div>
</template>

<script>
import LHeader from "@/components/header.vue";
import { postriskBook } from "@/service/risk";

/*接口对接2 START*/
// 例子：
// import {
//   getFormList,
//   postHdTyp,
//   postHdName,
//   postHdInventories,
//   postHdRiskSource,
//   postHdShowPeople,
//   postHdReportAdd,
//   dangerReturnEcho,
// } from "@/service/danger";

/*接口对接2 END*/

export default {
  components: {
    LHeader,
  },
  data() {
    return {
      text: "风险历史台账",
      searchValue: "",
       messageList: [],
      Loop: "", // 定时器
      showIndex: null // 是否显示遮罩层
    };
  },
   created() {
    this.getList();
  },
  methods: {
    getList() {
      /*接口对接3 START*/
      // 例子：
      this.$toast.loading({
        message: "加载中...",
        forbidClick: true,
        loadingType: "spinner",
        duration: 0
      });
      postriskBook("/riskMain/doneList")
        .then(res => {
          this.$toast.clear();
          this.messageList = res.rows
          
        })
        .catch(() => {
          this.$toast.clear();
          this.$toast.fail("加载失败,请稍后再试");
        });
      /*接口对接3 END*/
    },
    onSearch(val) {
      console.log(val);
    },

    touchstart(index, item) {
      clearTimeout(this.Loop); //再次清空延时器，防止重复注册定时器
      if (this.showIndex != null) {
        this.showIndex = null;
        return;
      }
      this.Loop = setTimeout(() => {
        this.showIndex = index;
      }, 300); // 这里的1000是指需要长按的时间，单位为ms
    },
    touchend(index) {
      // 这个方法主要是用来将每次手指移出之后将计时器清零
      clearInterval(this.Loop);
    },

    // 详情
    goDetail(data) {
      console.log(data);
      this.$router.push({
        name: "risk-big-detail",
        params: {
          id: data.businessId
        }
      });
      this.showIndex = null;
    },
  }
};
</script>
<style lang="less" scoped>
/* @import url(); 引入css类 */
.con-list {
  padding: 10px 10px 0;
  background-color: #f0f1f5;
  .van-cell-group--inset {
    margin: 0;
    margin-bottom: 10px;
    padding: 10px;
    font-size: 13px;
    position: relative;
    .van-row{
      margin-bottom: .133333rem;
      line-height: .64rem;
    }
    .van-overlay {
      position: absolute;
      .wrapper {
        display: flex;
        align-items: center;
        justify-content: space-evenly;
        height: 100%;
      }
    }
  }
}
</style>
